diff spandsp-0.0.6pre17/unpack_g722_data.sh @ 4:26cd8f1ef0b1

import spandsp-0.0.6pre17
author Peter Meerwald <pmeerw@cosy.sbg.ac.at>
date Fri, 25 Jun 2010 15:50:58 +0200
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/spandsp-0.0.6pre17/unpack_g722_data.sh	Fri Jun 25 15:50:58 2010 +0200
@@ -0,0 +1,59 @@
+#!/bin/sh
+#
+# SpanDSP - a series of DSP components for telephony
+#
+# unpack_g722_data.sh
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU Lesser General Public License version 2.1,
+# as published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License along with this program; if not, write to the Free Software
+# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+#
+# $Id: unpack_g722_data.sh,v 1.5 2008/05/03 07:55:04 steveu Exp $
+#
+
+ITUDATA="../../../T-REC-G.722-198703-I!AppII!ZPF-E.zip"
+
+cd test-data/itu
+if [ -d g722 ]
+then
+    cd g722
+else
+    mkdir g722
+    RETVAL=$?
+    if [ $RETVAL != 0 ]
+    then
+        echo Cannot create test-data/itu/g722!
+        exit $RETVAL
+    fi
+    cd g722
+fi
+
+rm -rf T*
+rm -rf software
+unzip ${ITUDATA} >/dev/null
+RETVAL=$?
+if [ $RETVAL != 0 ]
+then
+    echo Cannot unpack the ITU test vectors for G.722!
+    exit $RETVAL
+fi
+#rm ${ITUDATA}
+unzip ./software/G722ap2/G722E/Software.zip >/dev/null
+RETVAL=$?
+if [ $RETVAL != 0 ]
+then
+    echo Cannot unpack the ITU test vectors for G.722!
+    exit $RETVAL
+fi
+mv ./software/G722ap2/G722E/T* .
+rm -rf software
+echo The ITU test vectors for G.722 should now be in the g722 directory

Repositories maintained by Peter Meerwald, pmeerw@pmeerw.net.